Bug 2034 - X breaks if "xfs" (X Font Server) service is marked at install to not be started up
X breaks if "xfs" (X Font Server) service is marked at install to not be star...
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-07 11:54 EDT by Cristian Gafton
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-07 12:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Gafton 1999-04-07 11:54:49 EDT
This is pretty straight forward, while disabling several
services I didn't want started, I turned off xfs as well.
The result is that the X server would not start up.

The fix probably should be to fixup the Font section of
XF86Config if the user selects to not start up the "xfs"
service.

This bug only happened to me on sparc64 with a PCI graphics
card, because only the PCI graphics card X servers will use
an XF86Config file (the other Sparc X servers do not need
one)
Comment 1 Preston Brown 1999-04-07 12:14:59 EDT
Dave:

The default for new installations will be to run XFS.  If you don't
like this, some manual configuration will be necessary.  We may
improve this for 6.1, but I don't have time to write a program to
dynamically edit /etc/X11/XF86Config and read font paths out of
/etc/X11/fs/config and vice versa, and make sure it works 100% of the
time.

------- Email Received From  David Miller <davem@twiddle.net> 04/07/99 12:24 -------
Comment 2 Cristian Gafton 1999-04-07 12:32:59 EDT
Comments from davem:

Then don't mark this bug as resolved, mark it in some other state
becuase the bug is still there and I can hear people complaining about
this bug already.

A more efficient solution might be to not allow people to disable the
xfs server from the services list in the installer.

If an option is made available, user's will try to take advantage of
it.  Personally, based upon how much RAM I have, I automatically
disable several services to keep memory usage down.  I don't expect it
to break X, and neither will other users.

You can tell "me" that I can go and manually fiddle to make it work,
and I did that, but are you prepared to hear the whole support center
telling people one by one to do this as well?

So please, I ask that you consider at least fixing this by not
offering xfs to be disabled during the install, if it's going to break
the system it makes no sense for the option to exist.
Then don't mark this bug as resolved, mark it in some other state
becuase the bug is still there and I can hear people complaining about
this bug already.

A more efficient solution might be to not allow people to disable the
xfs server from the services list in the installer.

If an option is made available, user's will try to take advantage of
it.  Personally, based upon how much RAM I have, I automatically
disable several services to keep memory usage down.  I don't expect it
to break X, and neither will other users.

You can tell "me" that I can go and manually fiddle to make it work,
and I did that, but are you prepared to hear the whole support center
telling people one by one to do this as well?

So please, I ask that you consider at least fixing this by not
offering xfs to be disabled during the install, if it's going to break
the system it makes no sense for the option to exist.


------- Email Received From  Preston Brown <pbrown@redhat.com> 04/07/99 13:02 -------


------- Email Received From  David Miller <davem@twiddle.net> 04/07/99 13:04 -------

Note You need to log in before you can comment on or make changes to this bug.